'use strict';

process.on('message', function (all) {

    var dirname = all.dirname;
    var fileName = all.fileName;
    var counter = all.counter;

    var testingObj = require('./' + dirname + '/' + fileName);

    var timeBeforeTesting = Date.now();

    for (var t = 0; t < counter; t++) {
        testingObj.fn();
    };

    var timeAfterTesting = Date.now();
    var mUsage = process.memoryUsage();

    process.send({ description: testingObj.name, time: timeAfterTesting - timeBeforeTesting, memory: mUsage });
});