process.on('message', function (all) {

    let dirname = all.dirname;
    let fileName = all.fileName;
    let counter = all.counter;

    let testingObj = require('./'+dirname+'/'+fileName);

    let timeBeforeTesting  = Date.now();

    for (let t = 0; t<counter; t++ ) {
        testingObj.fn();
    };

    let timeAfterTesting  = Date.now();
    let mUsage = process.memoryUsage();

    process.send({description: testingObj.name, time:timeAfterTesting-timeBeforeTesting, memory:mUsage});

});
